Arquivo da categoria: linux

Ajustando NLS_LANG no PHP-Apache-Oracle

Para que a data fique na forma personalizada do Brasil, ajustar a variavel NLS_LANG no script que inicializa o apache.

vi /etc/init.d/apache2
export NLS_LANG=”BRAZILIAN PORTUGUESE_BRAZIL.WE8ISO8859P1″

Dependendo da versão do apache pode ser necessário alterar o envvars
vi /etc/apache2/envvars
export NLS_LANG=”BRAZILIAN PORTUGUESE_BRAZIL.WE8ISO8859P1″

No windows o NLS_LANG fica dentro do “regedit”, ou tambem pode ser colocado nas varáveis de ambiente.

 

Fonte (copiado de): http://helderam.wordpress.com/2009/12/07/ajustando-nls_lang-para-formato-de-data-no-php-apache-oracle/

 

 

Skype 4 no Ubuntu 12.04 – Problema com instalação

Olá pessoal.

Bom, como diz no título, tive problemas na instalação do Skype 4 (skype-bin ou ia32-libs) no meuUbuntu 12.04 64 bits.

Logo após ter formatado meu notebook e reinstalado o Ubuntu, não consegui mais instalar o Skype. Seja pelo terminal ou pela Central de Programas, sempre apresentava algum erro.

Depois de muitos tutoriais sobre como instalar o Skype, achei no fórum do Ubuntu uma solução.

Abra o utilitário Canais de Software, e na aba “Outros softwares”, marque a opção “Parceiros da Canonical” (também chamado de: Partner).

Altere também o servidor (opcional) na aba “Aplicativos Ubuntu”, a opção “Baixar de”:

  • De: “Servidor – Brasil”
  • Para: “Servidor – Principal”

Após estes procedimentos, basta entrar no terminal e digitar:

$ sudo apt-get update

Logo depois você deve conseguir instalar o Skype pelo próprio terminal, com um:

$ sudo apt-get install skype

Ou, pela Central de Programas do Ubuntu.

Bom, espero que ajude vocês!

Referências:

 

Fonte: http://www.vivaolinux.com.br/dica/Skype-4-no-Ubuntu-1204-Problema-com-instalacao-[RESOLVIDO]

 

 

Instalando o MySQL Workbench 5.2.34 no debian 6 (squeeze)

Salve pessoas, tudo tranquilo?

Eu precisava instalar o WorkBenck no meu debian squeeze, para ter mais recursos para trabalhar com o MySQL. Então fui ao site MySQL :: Download MySQL Workbench do MySQL, selecionei a plataforma (Source Code) e fiz o download.

Os passos para a instalação foram (todos dentro do terminal como root):

  • Extrair o conteudo do arquivo (mysql-workbench-gpl-5.2.34-src.tar.gz) para um diretório de sua preferencia. Eu estou usando o /opt
  • Entrar no diretório /opt/mysql-workbench-gpl-5.2.34-src
  • Executar o comando ./autogen.sh –prefix=/opt/workbench. Lembrando que o –prefix é o diretório que vc escolheu para instalar o WorkBench
  • Terminado a execução anterior, executar o comando make
  • E para finalizar a instalação, execute o make install
  • Pronto, para executar o programa, é simples, basta digitar /opt/workbench/bin/mysql-workbench

Pronto! =D

Qualquer coisa estamos ae!
Abraços

 

Fonte: http://www.vivaolinux.com.br/dica/Instalando-o-MySQL-Workbench-5.2.34-no-debian-6-(squeeze)

 

 

Problema instalação do ReceitaNet – IRPF 2011

Eu estava com problemas para instalar o ReceitaNet da Receita Federal para transmitir minha declaração.

Quando tentava instalar o ReceitaNet, aparecia o seguinte erro:

“The wizard cannot continue because of the following error: could not load wizard specified in /wizard.inf”

Problema esse causado pela falta da JVM. Porém, eu tenho a JVM instalada no meu Ubuntu.

Após varias pesquisas no Google, achei a seguinte dica.

Entrei no terminal e digitei:

$ sudo update-alternatives –config java

O resultado foi:

  Seleção    Caminho                               Prioridade Estado
------------------------------------------------------------
  0            /usr/lib/jvm/java-6-sun/jre/bin/java   63        modo automático
  1            /usr/lib/jvm/java-6-openjdk/jre/bin/java   63        modo manual
* 2            /usr/lib/jvm/java-6-sun/jre/bin/java   63        modo manual

No fórum (http://www.hardware.com.br/comunidade/irpf2011-linux/1129239/) o usuário (advi) informou que o problema era no OpenJDK. Então eu apaguei do diretório (/usr/lib/jvm) todos os OpenJDK instalados.

Então digitei novamente o:

$ sudo update-alternatives –config java

E o resultado agora é:

  Seleção    Caminho                               Prioridade Estado
------------------------------------------------------------
  0            /usr/lib/jvm/java-6-sun/jre/bin/java   63        modo automático
* 1            /usr/lib/jvm/java-6-sun/jre/bin/java   63        modo manual

E depois instalei o ReceitaNet normalmente.

Espero que ajude quem ainda não transmitiu sua declaração…rsrs!

Abração a todos!

 

Fonte: http://www.vivaolinux.com.br/dica/Problema-instalacao-do-ReceitaNet-IRPF-2011

 

 

Descompactando arquivos RAR com erro de “Codificação inválida”

Olá galera. É uma dica simples, mas que vai me fazer usar cada vez menos o Windows. Alguns arquivos RAR davam esse erro na hora de extrair os arquivos e que possuíam algum acento no nome, ficando com os caracteres ?$#�.

Erro causado porque os números usados para representar caracteres acentuados (ex: á ç ô) são diferentes em Windows (windows-1252, variante de iso-8859-15) e GNU/Linux (utf-8), não adiantando clicar sobre o arquivo com o botão direito e pedindo pra extrair.

Para resolver isso, bastou usar o terminal do Gnome (no meu caso que uso o Ubuntu).

Ex.: unrar x nomedoarquivo.rar 

Caso possua senha, vai ficar assim:

$ unrar x nomedoarquivo.rar -p [dê enter e digite a senha]

Pronto, arquivos extraídos sem problema de codificação inválida e ficando com o nome certo, ao invés dos caracteres malucos… rs

Dica tirada pela informação do fórum: http://old.nabble.com/-Ubuntu-PT-7948–Erro-de-Codifica%C3%A7%C3%A3o-td29604443.html

 

Fonte: http://www.vivaolinux.com.br/dica/Descompactando-arquivos-RAR-com-erro-de-Codificacao-invalida

 

 

Correção para erro GPG, assinaturas inválidas e BADSIG

Se, ao tentar atualizar a lista de pacotes no Ubuntu, você se deparar com as seguintes mensagens de erro (ou similares):

W: Um erro ocorreu durante a verificação da assinatura. O repositório não foi atualizado eo índice anterior de arquivo será usado. Erro GPG: http://extras.ubuntu.com oneiric Release:As seguintes assinaturas eram inválidas: BADSIG 16126D3A3E5C1192 Ubuntu Extras Archive Automatic Signing Key <ftpmaster@ubuntu.com>

W: Erro GPG: http://archive.canonical.com oneiric Release: As seguintes assinaturas eram inválidas: BADSIG 40976EAF437D05B5 Ubuntu Archive Automatic Signing Key <ftpmaster@ubuntu.com>
W: Erro GPG: http://ppa.launchpad.net oneiric Release: As seguintes assinaturas eram inválidas: BADSIG 9B0BBF00E2D0EBE9 Launchpad PPA for RAVEfinity Project

Tente resolver executando, no Terminal, os seguintes comandos:

sudo apt-key adv --keyserver keyserver.ubuntu.com --recv-keys 40976EAF437D05B5

sudo rm -r /var/lib/apt/lists

sudo mkdir -p /var/lib/apt/lists/partial

sudo apt-get update

Aqui o problema foi resolvido! :)

Referência: http://doc.ubuntu-fr.org/probleme_apt

 

Fonte (copiado de): http://linuxlike.blogspot.com.br/2012/02/correcao-para-erro-gpg-assinaturas.html